FAQ
Hello,

I am having problems with Puppet since upgrading to 3.0.0.

When I call an inventory search I get a Error 400. I have used dashboard +
Perl

Oct 4 08:58:43 puppet01 puppet-master[7008]: Handling request: GET
/production/facts_search/search?facts.lsbdistcodename.eq=lenny
Oct 4 08:58:43 puppet01 puppet-master[7008]: header too long


ii facter 1.6.12-1puppetlabs2 Ruby
module for collecting simple facts about a host operating system
ii hiera 1.0.0-1puppetlabs2 A
simple pluggable Hierarchical Database.
ii puppet 3.0.0-1puppetlabs1
Centralized configuration management - agent startup and compatibility
scripts
ii puppet-common 3.0.0-1puppetlabs1
Centralized configuration management
ii puppet-dashboard 1.2.11-1puppetlabs1
Dashboard for Puppet
ii puppetdb 1.0.0-1puppetlabs1
PuppetDB Centralized Storage.
ii puppetdb-terminus 1.0.0-1puppetlabs1
Connect Puppet to PuppetDB by setting up a terminus for PuppetDB.
ii puppetmaster 3.0.0-1puppetlabs1
Centralized configuration management - master startup and compatibility
scripts
ii puppetmaster-common 3.0.0-1puppetlabs1 Puppet
master common scripts
ii puppetmaster-passenger 3.0.0-1puppetlabs1
Centralised configuration management - master setup to run under mod
passenger
ii vim-puppet 3.0.0-1puppetlabs1 syntax
highlighting for puppet manifests in vim

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To view this discussion on the web visit https://groups.google.com/d/msg/puppet-users/-/QNQWubob8lYJ.
To post to this group, send email to puppet-users@googlegroups.com.
To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.

Search Discussions

  • Nathan Flynn at Oct 4, 2012 at 1:52 pm
    Error from puppet master trace;

    Oct 4 13:51:42 puppet01 puppet-master[1893]: Handling request: GET
    /production/facts_search/search?facts.lsbdistcodename.eq=lenny
    Oct 4 13:51:42 puppet01 puppet-master[1893]: header too long
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/vendor_ruby/puppet/network/http/rack/rest.rb:86:in
    `initialize'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/vendor_ruby/puppet/network/http/rack/rest.rb:86:in `new'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/vendor_ruby/puppet/network/http/rack/rest.rb:86:in
    `client_cert'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/vendor_ruby/puppet/network/http/handler.rb:69:in `process'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/vendor_ruby/puppet/network/http/rack.rb:21:in `call'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in
    `process_request'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in
    `main_loop'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:118:in `run'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:65:in
    `spawn_application'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:58:in
    `spawn_application'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/rack/application_spawner.rb:41:in
    `spawn_application'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:159:in
    `spawn_application'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in
    `handle_spawn_application'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in
    `start_synchronously'
    Oct 4 13:51:42 puppet01 puppet-master[1893]:
    /usr/lib/phusion_passenger/passenger-spawn-server:61
    On Thursday, 4 October 2012 10:00:34 UTC+1, Nathan Flynn wrote:

    Hello,

    I am having problems with Puppet since upgrading to 3.0.0.

    When I call an inventory search I get a Error 400. I have used dashboard +
    Perl

    Oct 4 08:58:43 puppet01 puppet-master[7008]: Handling request: GET
    /production/facts_search/search?facts.lsbdistcodename.eq=lenny
    Oct 4 08:58:43 puppet01 puppet-master[7008]: header too long


    ii facter 1.6.12-1puppetlabs2 Ruby
    module for collecting simple facts about a host operating system
    ii hiera 1.0.0-1puppetlabs2 A
    simple pluggable Hierarchical Database.
    ii puppet 3.0.0-1puppetlabs1
    Centralized configuration management - agent startup and compatibility
    scripts
    ii puppet-common 3.0.0-1puppetlabs1
    Centralized configuration management
    ii puppet-dashboard 1.2.11-1puppetlabs1
    Dashboard for Puppet
    ii puppetdb 1.0.0-1puppetlabs1
    PuppetDB Centralized Storage.
    ii puppetdb-terminus 1.0.0-1puppetlabs1
    Connect Puppet to PuppetDB by setting up a terminus for PuppetDB.
    ii puppetmaster 3.0.0-1puppetlabs1
    Centralized configuration management - master startup and compatibility
    scripts
    ii puppetmaster-common 3.0.0-1puppetlabs1
    Puppet master common scripts
    ii puppetmaster-passenger 3.0.0-1puppetlabs1
    Centralised configuration management - master setup to run under mod
    passenger
    ii vim-puppet 3.0.0-1puppetlabs1
    syntax highlighting for puppet manifests in vim
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To view this discussion on the web visit https://groups.google.com/d/msg/puppet-users/-/3t16LS_D0pcJ.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.
  • Jeff McCune at Oct 4, 2012 at 4:48 pm

    On Thu, Oct 4, 2012 at 2:00 AM, Nathan Flynn wrote:
    Hello,

    I am having problems with Puppet since upgrading to 3.0.0.
    I'm sorry to hear you're running into issues with 3.0.0.
    When I call an inventory search I get a Error 400. I have used dashboard +
    Perl
    I'd like to try and reproduce this error here. What operating system
    are you running the puppetmaster on?
    Oct 4 08:58:43 puppet01 puppet-master[7008]: Handling request: GET
    /production/facts_search/search?facts.lsbdistcodename.eq=lenny
    Oct 4 08:58:43 puppet01 puppet-master[7008]: header too long


    ii facter 1.6.12-1puppetlabs2 Ruby
    module for collecting simple facts about a host operating system
    ii hiera 1.0.0-1puppetlabs2 A
    simple pluggable Hierarchical Database.
    ii puppet 3.0.0-1puppetlabs1
    Centralized configuration management - agent startup and compatibility
    scripts
    ii puppet-common 3.0.0-1puppetlabs1
    Centralized configuration management
    ii puppet-dashboard 1.2.11-1puppetlabs1
    Dashboard for Puppet
    ii puppetdb 1.0.0-1puppetlabs1
    PuppetDB Centralized Storage.
    ii puppetdb-terminus 1.0.0-1puppetlabs1 Connect
    Puppet to PuppetDB by setting up a terminus for PuppetDB.
    ii puppetmaster 3.0.0-1puppetlabs1
    Centralized configuration management - master startup and compatibility
    scripts
    ii puppetmaster-common 3.0.0-1puppetlabs1 Puppet
    master common scripts
    ii puppetmaster-passenger 3.0.0-1puppetlabs1
    Centralised configuration management - master setup to run under mod
    passenger
    ii vim-puppet 3.0.0-1puppetlabs1 syntax
    highlighting for puppet manifests in vim

    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To view this discussion on the web visit
    https://groups.google.com/d/msg/puppet-users/-/QNQWubob8lYJ.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to
    puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at
    http://groups.google.com/group/puppet-users?hl=en.
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.
  • Justin Stoller at Oct 4, 2012 at 5:12 pm
    Are you using +ExportCertData in your configuration?

    Have a look at: http://projects.puppetlabs.com/issues/16769

    and let us know if you think this is what is affecting you.

    HTH,
    Justin
    On Thu, Oct 4, 2012 at 9:47 AM, Jeff McCune wrote:
    On Thu, Oct 4, 2012 at 2:00 AM, Nathan Flynn wrote:
    Hello,

    I am having problems with Puppet since upgrading to 3.0.0.
    I'm sorry to hear you're running into issues with 3.0.0.
    When I call an inventory search I get a Error 400. I have used dashboard +
    Perl
    I'd like to try and reproduce this error here. What operating system
    are you running the puppetmaster on?
    Oct 4 08:58:43 puppet01 puppet-master[7008]: Handling request: GET
    /production/facts_search/search?facts.lsbdistcodename.eq=lenny
    Oct 4 08:58:43 puppet01 puppet-master[7008]: header too long


    ii facter 1.6.12-1puppetlabs2 Ruby
    module for collecting simple facts about a host operating system
    ii hiera 1.0.0-1puppetlabs2 A
    simple pluggable Hierarchical Database.
    ii puppet 3.0.0-1puppetlabs1
    Centralized configuration management - agent startup and compatibility
    scripts
    ii puppet-common 3.0.0-1puppetlabs1
    Centralized configuration management
    ii puppet-dashboard 1.2.11-1puppetlabs1
    Dashboard for Puppet
    ii puppetdb 1.0.0-1puppetlabs1
    PuppetDB Centralized Storage.
    ii puppetdb-terminus 1.0.0-1puppetlabs1 Connect
    Puppet to PuppetDB by setting up a terminus for PuppetDB.
    ii puppetmaster 3.0.0-1puppetlabs1
    Centralized configuration management - master startup and compatibility
    scripts
    ii puppetmaster-common 3.0.0-1puppetlabs1 Puppet
    master common scripts
    ii puppetmaster-passenger 3.0.0-1puppetlabs1
    Centralised configuration management - master setup to run under mod
    passenger
    ii vim-puppet 3.0.0-1puppetlabs1 syntax
    highlighting for puppet manifests in vim

    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To view this discussion on the web visit
    https://groups.google.com/d/msg/puppet-users/-/QNQWubob8lYJ.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to
    puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at
    http://groups.google.com/group/puppet-users?hl=en.
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.
  • Nathan Flynn at Oct 4, 2012 at 5:43 pm
    Ah thank you.

    Yes it appear I am hit with bug 16769. I did see the bug but thought it was
    not related as puppet ca seemed to be working, only the inventory search
    functions seem to be affected.

    Disabling "+ExportCertData" has resolved the problem. Looking forward to
    3.0.1.



    On Thursday, 4 October 2012 10:00:34 UTC+1, Nathan Flynn wrote:


    Hello,
    I am having problems with Puppet since upgrading to 3.0.0.

    When I call an inventory search I get a Error 400. I have used dashboard +
    Perl

    Oct 4 08:58:43 puppet01 puppet-master[7008]: Handling request: GET
    /production/facts_search/search?facts.lsbdistcodename.eq=lenny
    Oct 4 08:58:43 puppet01 puppet-master[7008]: header too long


    ii facter 1.6.12-1puppetlabs2 Ruby
    module for collecting simple facts about a host operating system
    ii hiera 1.0.0-1puppetlabs2 A
    simple pluggable Hierarchical Database.
    ii puppet 3.0.0-1puppetlabs1
    Centralized configuration management - agent startup and compatibility
    scripts
    ii puppet-common 3.0.0-1puppetlabs1
    Centralized configuration management
    ii puppet-dashboard 1.2.11-1puppetlabs1
    Dashboard for Puppet
    ii puppetdb 1.0.0-1puppetlabs1
    PuppetDB Centralized Storage.
    ii puppetdb-terminus 1.0.0-1puppetlabs1
    Connect Puppet to PuppetDB by setting up a terminus for PuppetDB.
    ii puppetmaster 3.0.0-1puppetlabs1
    Centralized configuration management - master startup and compatibility
    scripts
    ii puppetmaster-common 3.0.0-1puppetlabs1
    Puppet master common scripts
    ii puppetmaster-passenger 3.0.0-1puppetlabs1
    Centralised configuration management - master setup to run under mod
    passenger
    ii vim-puppet 3.0.0-1puppetlabs1
    syntax highlighting for puppet manifests in vim
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To view this discussion on the web visit https://groups.google.com/d/msg/puppet-users/-/Sg_EhfBIgicJ.
    To post to this group, send email to puppet-users@googlegroups.com.
    To unsubscribe from this group, send email to puppet-users+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/puppet-users?hl=en.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedOct 4, '12 at 9:08a
activeOct 4, '12 at 5:43p
posts5
users3
websitepuppetlabs.com

People

Translate

site design / logo © 2022 Grokbase